Get a checkout by ID
deprecated
Deprecated: use GET /environments//flow/checkouts/ instead.
GET
Get a checkout by ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the environment
Required string length:
36Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Example:
"95b11417-f18f-457f-8804-68e361f9164f"
UUID of the checkout
Required string length:
36Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Example:
"95b11417-f18f-457f-8804-68e361f9164f"
Response
Returns the checkout
Required string length:
36Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Example:
"95b11417-f18f-457f-8804-68e361f9164f"
Available options:
payment, deposit Whether Dynamic handles quote optimization, fee collection, and fund settlement automatically
ISO 8601 timestamp of when the checkout was created
ISO 8601 timestamp of when the checkout was last updated
Previous
Delete a checkoutDeprecated: use DELETE /environments/{environmentId}/flow/checkouts/{checkoutId} instead. Soft-deletes a checkout, preventing it from accepting new transactions.
Next
Get a checkout by ID